ServerEvents.tags('item', event => {
  event.add('minecraft:swords', 'cataclysm:black_steel_sword')
  event.remove('minecraft:swords', 'cataclysm:the_incinerator')
  event.remove('c:swords', 'cataclysm:the_incinerator')
  event.remove('forge:tools/swords', 'cataclysm:the_incinerator')
  event.remove('minecraft:swords', 'cataclysm:athame')
  event.remove('c:swords', 'cataclysm:athame')
  event.remove('forge:tools/swords', 'cataclysm:athame')
  event.add('farmersdelight:tools/knives', [
    'spartanweaponry:stone_dagger',
    'spartanweaponry:iron_dagger',
    'spartanweaponry:steel_dagger',
    'spartanweaponry:netherite_dagger'
  ])
  event.add('fantasia:coal_recipe', ['spelunkery:coal_lump', 'spelunkery:charcoal_lump'])
  event.add('fantasia:compass', ['spelunkery:magnetic_compass', 'minecraft:compass'])
  event.add('minecraft:compasses', 'spelunkery:magnetic_compass')
  event.add('minecraft:compasses', 'irons_spellbooks:wayward_compass')
  event.add('curios:belt', 'minecraft:recovery_compass')
  event.add('forge:potions', 'medieval_healing:herbal_tonic')
  event.add('quark:seed_pouch_fertilizers', 'coinsje:gold_coin')
  event.remove('forge:nuggets/steel', 'magistuarmory:steel_nugget')
  event.remove('forge:salt', 'hearthandharvest:salt')
  event.remove('forge:salts', 'hearthandharvest:salt')
  event.remove('supplementaries:ropes', ['quark:rope', 'farmersdelight:rope'])
  event.remove('minecraft:oak_logs', 'regions_unexplored:small_oak_log')
  event.add('fantasia:silver_ores', ['galosphere:silver_ore', 'galosphere:deepslate_silver_ore'])
  event.add('overgeared:hot_items', ['minecraft:lava_bucket', 'kubejs:netherite_alloy', 'kubejs:unfinished_netherite_ingot'])
  event.add('c:villager_job_sites', ['sawmill:sawmill', 'easel_does_it:easel'])
  event.add('savage_and_ravage:explosion_immune', [
    'endrem:rogue_eye',
    'endrem:nether_eye',
    'endrem:cold_eye',
    'endrem:magical_eye'
  ])
  event.remove('spartanweaponry:steel_weapons', [
    'spartanweaponry:steel_quarterstaff',
    'spartanweaponry:steel_longbow',
    'spartanweaponry:steel_heavy_crossbow',
    'spartanweaponry:steel_boomerang'
  ])
  event.remove('spartanweaponry:iron_weapons', [
    'spartanweaponry:iron_quarterstaff',
    'spartanweaponry:iron_longbow',
    'spartanweaponry:iron_heavy_crossbow',
    'spartanweaponry:iron_boomerang'
  ])
  event.remove('spartanweaponry:golden_weapons', [
    'spartanweaponry:golden_quarterstaff',
    'spartanweaponry:golden_longbow',
    'spartanweaponry:golden_heavy_crossbow',
    'spartanweaponry:golden_boomerang'
  ])
  event.remove('spartanweaponry:netherite_weapons', [
    'spartanweaponry:netherite_quarterstaff',
    'spartanweaponry:netherite_longbow',
    'spartanweaponry:netherite_heavy_crossbow',
    'spartanweaponry:netherite_boomerang'
  ])
  event.remove('minecraft:trim_materials', 'regions_unexplored:prismarite_cluster')
  event.add('overgeared:smithing_hammers', 'simplest_hammers:stone_hammer')
  event.add('minecraft:pickaxes', 'cataclysm:black_steel_pickaxe')
  event.add('minecraft:axes', 'cataclysm:black_steel_axe')
  event.add('minecraft:shovels', 'cataclysm:black_steel_shovel')
  event.add('minecraft:hoes', 'cataclysm:black_steel_hoe')
});

ServerEvents.tags('block', event => {
  event.add('minecraft:mineable/pickaxe', ['alloy_smelter:forge_controller_tier1', 'alloy_smelter:forge_controller_tier2'])
  event.add('overgeared:needs_steel_tool', ['minecraft:respawn_anchor', 'irons_spellbooks:armor_pile'])
  event.remove('minecraft:needs_diamond_tool', ['minecraft:respawn_anchor', 'irons_spellbooks:armor_pile'])
  event.remove('minecraft:needs_stone_tool', ['spelunkery:andesite_iron_ore', 'spelunkery:diorite_iron_ore', 'spelunkery:granite_iron_ore', 'spelunkery:tuff_iron_ore'])
  event.add('overgeared:needs_copper_tool', ['spelunkery:andesite_iron_ore', 'spelunkery:diorite_iron_ore', 'spelunkery:granite_iron_ore', 'spelunkery:tuff_iron_ore'])
});